package com.cyksj.service.mange;

import com.cyksj.model.entity.*;
import com.cyksj.model.request.DistributeApplyMoneyReq;
import com.cyksj.model.request.YhShopVerifyReq;

import java.util.List;

/*
 *项目名: yhlxj
 *文件名: CmsYhShopCommonService
 *创建者: JavaZou
 *创建时间:2023/9/15 17:26
 */
public interface CmsYhShopCommonService {
	void verifyYhShopApply(YhShopVerifyReq verifyReq);

	void setYhShopGoodsRate(List<YhShopUserPlatDistributeRate> yhShopUserPlatDistributeRates, Long businessId, Long userId);

	void setYhShopBusiness(YhShop yhShop);
	void verifyYhShopApplyMoney(DistributeApplyMoneyReq distributeApplyMoneyReq);

	void updateVerifyImg(DistributeApplyMoneyReq distributeApplyMoneyReq);
}
